/*
 * mintlib.h: Einige MiNT/Minix-Features und ein paar Funktionen aus der 
 *				  MiNT-Lib PL46.
*/
#ifndef _qed_mint_lib_
#define _qed_mint_lib_

EXTERN WORD		longName	(UBYTE *filename);
EXTERN BOOLEAN	caseSens	(UBYTE *filename, WORD *val);
/* 
 * Testet, ob der Pfad von `filename` auf einem FS liegt, 
 *		- das lange Namen kann (0 bei 12 Zeichen, sonst max. Anzahl)
 *		- das Gro- und Kleinschrift unterscheidet
 * In val wird der ermittelte Wert zurckgegeben (falls != NULL);
 */

EXTERN VOID		raw_mode	(WORD *old);
/*
 * Schaltet RAW mode von STDIN/STDOUT um.
 * Soll RAW-Mode angeschaltet werden, mu in *old null stehen. Es wird dann
 * der alte Zustand zurckgeliefert.
 * Wird bentigt, da sonst in bestimmten Situationen ^Q als Flow-Control 
 * (^Q, ^S) gedeutet wird!
 */


/* mintlib PL46 */

EXTERN WORD		unx2dos	(UBYTE *name);
/*
 * Konvertiert einen MiNT-Dateinamen in das TOS-Komplement.
 * Wird bei der Auswertung von $HOME zur Auflsung des Pfades (z.B. /usr/home)
 * bentigt, um davon die default.qed lesen zu knnen.
 * Rckgabewert:
 *		0	: Spezialdatei (Pipe, Device, tty ...)
 *		1	: Normale Datei
 */

#endif
